ФорумПрограммированиеPHP для идиотов → ошибка при компилировании php-5.5.11

ошибка при компилировании php-5.5.11

  • z100

    Сообщения: 3 Репутация: N Группа: Кто попало

    Spritz 11 апреля 2014 г. 16:08

    Пытаюсь поставить из исходников php-5.5.11.tar.bz2
    Линукс lfs версии 7.0 но некоторые пакеты обновлены до последних версий.
    Опции такие:

    sed -i -e 's/2.6.5 2.7/& 3.0/' configure && \
    ./configure –prefix=/usr \
    –sysconfdir=/etc \
    –localstatedir=/var \
    –with-apxs2=/usr/bin/apxs \
    –datadir=/usr/share/php \
    –mandir=/usr/share/man \
    –enable-dba \
    –enable-fpm \
    –with-fpm-user=apache \
    –with-fpm-group=apache \
    –with-config-file-path=/etc \
    –with-zlib \
    –enable-bcmath \
    –with-bz2 \
    –enable-calendar \
    –enable-exif \
    –enable-ftp \
    –with-openssl-dir=/usr \
    –with-gd=/usr \
    –with-jpeg-dir=/usr \
    –with-png-dir=/usr \
    –with-zlib-dir=/usr \
    –with-freetype-dir=/usr \
    –with-mysql-sock=/var/run/mysql \
    –enable-sockets \
    –enable-mbstring \
    –enable-mbstring

    Конфигурирование прошло нормально
    Компилирую командой:
    make без опций, выдаёт такую ошибку:

    /prog/php-5.5.11/ext/gd/gd.c:57:22: фатальная ошибка: X11/xpm.h: Нет такого файла или каталога
    компиляция прервана.
    make: *** [ext/gd/gd.lo] Ошибка 1

    Что это за gd не знаю, но:
    gd установлен: libgd-2.1.0.tar иксов нет, что за файл xpm.h и из какого пакета он не знаю.
    Мне всего то нужно установить модуль для apach-а, мне не нужен интерпретатор php.
    Вот вывод configure:
    http://pastebin.com/ePDNsh19
    Вот вывод make:
    http://pastebin.com/Z7bGcSLE
    Как установить только модуль и как победить эту ошибку, если кто знает помогите пожалуйста!!!!!
  • AlexB

    Сообщения: 4290 Репутация: N Группа: в ухо

    Spritz 11 апреля 2014 г. 16:21, спустя 13 минут 17 секунд

    libx11-dev поставить, не?
  • phpdude

    Сообщения: 26624 Репутация: N Группа: в ухо

    Spritz 11 апреля 2014 г. 22:23, спустя 6 часов 2 минуты

    http://www.123tweak.com/how-to-fix-php-compile-errors/

    Спустя 37 сек.

    статья под centos, но пакеты идентичные под debian гуглятся за 5 секунд. разберешься. там все ошибки компиляции есть, сам недавно был рад этой статейке

    Сапожник без сапог
  • artoodetoo

    Сообщения: 5139 Репутация: N Группа: в ухо

    Spritz 11 апреля 2014 г. 23:58, спустя 1 час 35 минут 4 секунды

    плюсую

    ιιlllιlllι унц-унц
  • phpdude

    Сообщения: 26624 Репутация: N Группа: в ухо

    Spritz 11 апреля 2014 г. 23:59, спустя 1 минуту 24 секунды

    плюсую

    @artoodetoo, некуда)

    Сапожник без сапог
  • master

    Сообщения: 3236 Репутация: N Группа: Джедаи

    Spritz 12 апреля 2014 г. 1:28, спустя 1 час 28 минут 46 секунд

    установи пакет libxpm-dev (libxpm-devel)
    не всё полезно, что в swap полезло

Пожалуйста, авторизуйтесь, чтобы написать комментарий!